## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl https://github.com/bk138/gromit-mpx
Version:        1.5.1
%global tag %{version}
%forgemeta

Name:           gromit-mpx
Release:        %autorelease
Summary:        An on-screen annotation tool
License:        GPL-2.0-or-later
URL:            %{forgeurl}
Source0:        %{forgesource}

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build
BuildRequires:  gettext
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(appindicator3-0.1)

BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib

%description
Gromit-MPX is an on-screen annotation tool that works with any Unix desktop
environment under X11 as well as Wayland.

%prep
%forgeautosetup -p1

%build
%cmake \
    -GNinja \
    -DCMAKE_BUILD_TYPE=Release \
    -DCMAKE_INSTALL_SYSCONFDIR=%{_sysconfdir} \

%cmake_build

%install
%cmake_install

%find_lang %{name}

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.xml

%files -f %{name}.lang
%license COPYING
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.cfg
%{_bindir}/%{name}
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%{_datadir}/pixmaps/*.png
%{_datadir}/applications/net.christianbeier.Gromit-MPX.desktop
%{_metainfodir}/net.christianbeier.Gromit-MPX.appdata.xml
%{_mandir}/man1/gromit-mpx.1.gz
%{_datadir}/doc/%{name}/

%changelog
## START: Generated by rpmautospec
* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 topazus <topazus@outlook.com> - 1.5.1-1
- initial import; rhbz#2259186
## END: Generated by rpmautospec
